import Vue from 'vue';
import PhotoSwipe from 'photoswipe';
import PhotoSwipeUI_Default from 'photoswipe/dist/photoswipe-ui-default.js';
import 'photoswipe/dist/photoswipe.css';
import 'photoswipe/dist/default-skin/default-skin.css';

var comp = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _vm._m(0)},staticRenderFns: [function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"pswp",attrs:{"tabindex":"-1","role":"dialog","aria-hidden":"true"}},[_c('div',{staticClass:"pswp__bg"}),_c('div',{staticClass:"pswp__scroll-wrap"},[_c('div',{staticClass:"pswp__container"},[_c('div',{staticClass:"pswp__item"}),_c('div',{staticClass:"pswp__item"}),_c('div',{staticClass:"pswp__item"})]),_c('div',{staticClass:"pswp__ui pswp__ui--hidden"},[_c('div',{staticClass:"pswp__top-bar"},[_c('div',{staticClass:"pswp__counter"}),_c('button',{staticClass:"pswp__button pswp__button--close",attrs:{"title":"关闭"}}),_vm._v(" "),_c('button',{staticClass:"pswp__button pswp__button--share",attrs:{"title":"分享"}}),_vm._v(" "),_c('button',{staticClass:"pswp__button pswp__button--fs",attrs:{"title":"全屏"}}),_vm._v(" "),_c('button',{staticClass:"pswp__button pswp__button--zoom",attrs:{"title":"缩放"}}),_c('div',{staticClass:"pswp__preloader"},[_c('div',{staticClass:"pswp__preloader__icn"},[_c('div',{staticClass:"pswp__preloader__cut"},[_c('div',{staticClass:"pswp__preloader__donut"})])])])]),_c('div',{staticClass:"pswp__share-modal pswp__share-modal--hidden pswp__single-tap"},[_c('div',{staticClass:"pswp__share-tooltip"})]),_c('button',{staticClass:"pswp__button pswp__button--arrow--left",attrs:{"title":"上一张"}}),_vm._v(" "),_c('button',{staticClass:"pswp__button pswp__button--arrow--right",attrs:{"title":"下一张"}}),_c('div',{staticClass:"pswp__caption"},[_c('div',{staticClass:"pswp__caption__center"})])])])])}],
  name: 'v-photo-browser',
  props: {},
};

var PhotoBrowser = {
  getRenderedText: function getRenderedText(Component, propsData) {
    var Ctor = Vue.extend(Component);
    var vm = new Ctor({ propsData: propsData }).$mount();
    return vm.$el;
  },

  inserHtml: function inserHtml() {
    if (document.querySelectorAll('.pswp').length > 0) {
      return;
    }
    document.body.appendChild(PhotoBrowser.getRenderedText(comp, {}));
  },

  open: function open(items, index) {
    PhotoBrowser.inserHtml();
    var pswpElement = document.querySelectorAll('.pswp')[0];

    if (typeof index === undefined) { index = 0; }

    var options = {
      // history & focus options are disabled on CodePen
      history: false,
      focus: false,
      showAnimationDuration: 0,
      hideAnimationDuration: 0,
      index: index,
      errorMsg: '<div class="pswp__error-msg"><a href="%url%" target="_blank">图片</a> 加载失败.</div>',
      shareEl: false
    };

    items.forEach(function (item) {
      item.w = 0;
      item.h = 0;
    });

    var gallery = new PhotoSwipe( pswpElement, PhotoSwipeUI_Default, items, options);

    gallery.listen('gettingData', function(index, item) {
      if (!item.w || !item.h) { // unknown size
        var img = new Image();
        img.onload = function() { // will get size after load
          item.w = this.width;
          item.h = this.height;
          gallery.updateSize(true);
        };
        img.src = item.src; // let's download image
      }
    });

    gallery.init();
  }
};

var main = {
  install: function install(Vue$$1) {
    /* eslint no-undef: 0 */
    Vue$$1.prototype.$PhotoSwipe = PhotoBrowser.open;
  },
};

export default main;
