function _interopDefault (ex) { return (ex && (typeof ex === 'object') && 'default' in ex) ? ex['default'] : ex; }

var Hammer = _interopDefault(require('hammerjs'));

var prefix = ['-webkit-', '-moz-', '-ms-', '-o-'];

function cssTransform(val) {
  var o = { transform: val };
  prefix.forEach(function (p) {
    o[(p + "transform")] = val;
  });
  return o;
}

var touchPan = {
  name: 'touch-pan',
  bind: function bind(el, binding) {
    var hammertime = new Hammer(el, {});
    hammertime.on('pan', function (ev) {
      if (binding.value) {
        binding.value(ev);
      }
    });
  },
  inserted: function inserted() {

  },
  update: function update() {

  },
  componentUpdated: function componentUpdated() {

  },
  unbind: function unbind() {},
};

var obj;
var Slider = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"v-slider"},[_c('div',{directives:[{name:"touch-pan",rawName:"v-touch-pan",value:(_vm.handlePan),expression:"handlePan"}],staticClass:"v-slider__inner"},[_c('div',{ref:"slider",staticClass:"v-slider__warp",style:(_vm.position)},[_vm._t("default")],2)]),(!_vm.disableArrow)?_c('div',{staticClass:"v-slider__arrow arrow-left",on:{"click":function($event){_vm.slideTo(_vm.index-1);}}}):_vm._e(),(!_vm.disableArrow)?_c('div',{staticClass:"v-slider__arrow arrow-right",on:{"click":function($event){_vm.slideTo(_vm.index+1);}}}):_vm._e(),(!_vm.disableDots)?_c('div',{staticClass:"v-slider__dots"},_vm._l((_vm.itemsNumber + 1),function(dot){return _c('span',{class:{'active-dot': dot === _vm.index + 1}})})):_vm._e()])},staticRenderFns: [],
  name: 'v-slider',
  props: {
    disableArrow: {
      type: Boolean,
      default: false,
    },
    disableDots: {
      type: Boolean,
      default: false,
    },
    auto: {
      type: Boolean,
      default: false,
    },
    infinite: {
      type: Boolean,
      default: false,
    },
  },
  data: function data() {
    return {
      warpPosition: 0,
      minDistance: 100,
      index: 0,
      itemsNumber: 0,
      itemWidth: 0,
    };
  },
  computed: {
    position: function position() {
      return cssTransform(("translateX(" + (this.warpPosition) + "px)"));
    },
  },
  methods: {
    handlePan: function handlePan(e) {
      var deltaX = e.deltaX;
      var distance = e.distance;

      this.warpPosition = (this.index * -this.itemWidth) + deltaX;
      if (e.isFinal) {
        this.setSliderIndex(distance, deltaX);
        this.slideTo();
      }
    },
    slideTo: function slideTo(index) {
      this.index = this.getIndex(index);
      this.warpPosition = this.index * -this.itemWidth;
    },
    setSliderIndex: function setSliderIndex(distance, deltaX) {
      if (distance > this.minDistance) {
        if (deltaX > 0) {
          if (this.index > 0) {
            this.index -= 1;
          }
        } else if (this.index < this.itemsNumber) {
          this.index += 1;
        }
      }
    },
    getIndex: function getIndex(index) {
      if (!index && index !== 0) { return this.index; }
      if (index < 0) { return 0; }
      if (index > this.itemsNumber) { return this.itemsNumber; }
      return index;
    },
  },
  mounted: function mounted() {
    var this$1 = this;

    this.$nextTick(function () {
      this$1.itemsNumber = this$1.$refs.slider.children.length - 1;
      this$1.itemWidth = this$1.$refs.slider.children[0].offsetWidth;
    });
  },
  beforeDestroy: function beforeDestroy() {

  },
  directives: ( obj = {}, obj[touchPan.name] = touchPan, obj ),
};

var SliderItem = {render: function(){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"v-slider__item"},[_vm._t("default")],2)},staticRenderFns: [],
  name: 'v-slide-item',
};

var components = {
  Slider: Slider,
  SliderItem: SliderItem,
};

var install$1 = {
  install: function install(Vue) {
    /* eslint no-undef: 0 */
    Vue.component(components.Slider.name, components.Slider);
    Vue.component(components.SliderItem.name, components.SliderItem);
  },
};

module.exports = install$1;
